return {
    {
        "nvim-telescope/telescope.nvim",
        branch = "0.1.x",
        dependencies = {
            { "nvim-telescope/telescope-fzf-native.nvim", build = "make" },
            "nvim-lua/plenary.nvim",
        }
    },
    {
        "hrsh7th/nvim-cmp",
        event = "InsertEnter",
        dependencies = {
            "hrsh7th/cmp-buffer",
            "hrsh7th/cmp-cmdline",
            "hrsh7th/cmp-nvim-lsp",
            "hrsh7th/cmp-path",
            "L3MON4D3/LuaSnip",
        }
    },
    {
        "nvim-treesitter/nvim-treesitter",
        dependencies = {
            "nvim-treesitter/nvim-treesitter-context",
            "nvim-treesitter/nvim-treesitter-textobjects",
            "nvim-treesitter/playground",
        }
    },
    { "catppuccin/nvim",                     name = "catppuccin" },
    { "stevearc/oil.nvim",                   tag = "v1.0.0" },
    { "williamboman/mason.nvim",             tag = "v1.6.2" },
    { "lukas-reineke/indent-blankline.nvim", tag = "v2.20.7" },
    { "lukas-reineke/lsp-format.nvim",       tag = "v2.5.1" },
    { "nvim-tree/nvim-web-devicons",         lazy = true },
    "lewis6991/gitsigns.nvim",
    "mickael-menu/zk-nvim",
    "neovim/nvim-lspconfig",
    "nvim-lua/lsp-status.nvim",
    "nvim-lualine/lualine.nvim",
    "onsails/lspkind.nvim",
    "windwp/nvim-autopairs",
}
